Bug 61238 - Broken drawing in presentation mode
Summary: Broken drawing in presentation mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Impress-Images
  Show dependency treegraph
 
Reported: 2013-02-21 15:36 UTC by Petr Mladek
Modified: 2018-09-14 22:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document (24.13 KB, application/vnd.oasis.opendocument.presentation)
2013-02-21 15:36 UTC, Petr Mladek
Details
Screenshot showing the expected state in edit mode (155.59 KB, image/png)
2013-02-21 15:39 UTC, Petr Mladek
Details
Screenshot showing the problems in the presentation mode (72.96 KB, image/png)
2013-02-21 15:39 UTC, Petr Mladek
Details
Exported SVG picture (145.73 KB, image/svg+xml)
2013-03-05 16:06 UTC, Petr Mladek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Mladek 2013-02-21 15:36:58 UTC
Created attachment 75257 [details]
Test document

The attached presentation is displayed well in edit mode but the drawing is malformed in the presentation mode. There are some strange artifacts on the edge of the letters.
Comment 1 Petr Mladek 2013-02-21 15:39:06 UTC
Created attachment 75258 [details]
Screenshot showing the expected state in edit mode
Comment 2 Petr Mladek 2013-02-21 15:39:40 UTC
Created attachment 75259 [details]
Screenshot showing the problems in the presentation mode
Comment 3 Petr Mladek 2013-03-05 16:06:36 UTC
Created attachment 75970 [details]
Exported SVG picture

There are also problems with export. For example, it looses transparency details on the  
letter edges. Look closely on the attached SVG picture.
Comment 4 QA Administrators 2015-04-19 03:22:35 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-06-18 14:13:54 UTC
Yes, edges are aliased in presentation mode still.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 437210d58f32177ef1829d704f7f4d2f1bbfbfdd
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-18_07:21:56
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2016-09-20 10:10:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920